#pragma once
#include "Mod.h"

class PlayerList : public Mod {
public:
	float blurs = 5.f;

	PlayerList() : Mod(_("Player List"), _("Show player list on your playing server."), Category::RENDER) {
		settings.push_back(new Setting{ _("Blurs"), &blurs, new float(10.f), new float(0.f), 2, {}, true, 10.f });
	
		enabled = false;
		onlyenabled = false;
		onlyheld = false;
		visible = false;

		keys = { VK_TAB };
	}

private:
	struct RenderData {
		std::string name;
	};
	std::vector<RenderData> renderdatas;

	virtual auto onClient() -> void;
	virtual auto onBaseTick(Player* _this) -> void;
	virtual auto onImGuiRender() -> void;
};
